Bug 1661602 - Review Request: procyon - suite of Java metaprogramming tools focused on code generation and analysis.
Summary: Review Request: procyon - suite of Java metaprogramming tools focused on code...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petra Alice Mikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 17:49 UTC by jiri vanek
Modified: 2019-01-22 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 01:34:50 UTC
pmikova: fedora-review+


Attachments (Terms of Use)

Description jiri vanek 2018-12-21 17:49:53 UTC
Spec URL: https://jvanek.fedorapeople.org/procyon/v1/procyon.spec
SRPM URL: https://jvanek.fedorapeople.org/procyon/v1/procyon-0.5.33-0.1.pre01.fc29.src.rpm
Description:
Procyon is a suite of Java metaprogramming tools focused on code generation and analysis. It includes the following libraries:

    Core Framework
    Reflection Framework
    Expressions Framework
    Compiler Toolset (Experimental)
    Java Decompiler

The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.

Fedora Account System Username: jvanek

Comment 1 jiri vanek 2018-12-29 17:38:23 UTC
Spec URL: https://jvanek.fedorapeople.org/procyon/v2/procyon.spec
SRPM URL: https://jvanek.fedorapeople.org/procyon/v2/procyon-0.5.33-0.1.pre02.fc29.src.rpm
Description:
Procyon is a suite of Java metaprogramming tools focused on code generation and analysis. It includes the following libraries:

    Core Framework
    Reflection Framework
    Expressions Framework
    Compiler Toolset (Experimental)
    Java Decompiler

The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.

Fedora Account System Username: jvanek


v1 was a bit naive. Did not even passed offline build.
This one have fat-jar disabled, and thus also luncher is changed to consume slim jar and its dependencies. Koji builds passed:
f29: https://koji.fedoraproject.org/koji/taskinfo?taskID=31717497
f30: https://koji.fedoraproject.org/koji/taskinfo?taskID=31717566

compiler-tools package renamed to compielrtools to match jars more (and avoid build-classpath warnings)

Comment 2 jiri vanek 2019-01-02 15:25:13 UTC
For needs of java-runtime-decompiler, see also https://bugzilla.redhat.com/show_bug.cgi?id=1662974 ; the legal discussion is https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/OG2CFMSVWIQ62LKGDS2VLGEN4R6JUT5S/ but afaik there is no longer any ban on decompilers

Comment 3 Petra Alice Mikova 2019-01-16 14:58:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc html files found in procyon-compilertools-javadoc
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'

- There is number of fails in the rpmlint output, please fix as many as you can.
- no documentation whatsoever, even though the source zip contains a readme


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License
     (v2.1 or later)", "Apache License (v2.0)", "*No copyright* Apache
     License", "Apache License (v2.0.10)", "*No copyright* Apache License
     (v2.0)", "*No copyright* Public domain", "GPL (v2)". 103 files have
     unknown license. Detailed output of licensecheck in
     /home/pmikova/fedora_repos/fedora-
     reviews/1661602-procyon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java,
     /usr/share/java/procyon
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
     Note: See rpmlint output - the versions do not match.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: procyon-decompiler (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
	 Sources contain some documentation. Please, package it with it.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Javadoc subpackages should not have Requires: jpackage-utils
     Note: More than one javadoc package
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in procyon-
     compilertools , procyon-core , procyon-expressions , procyon-
     decompiler , procyon-reflection , procyon-compilertools-javadoc ,
     procyon-core-javadoc , procyon-expressions-javadoc , procyon-
     decompiler-javadoc , procyon-reflection-javadoc , procyon-
     compilertools-srcs , procyon-core-srcs , procyon-expressions-srcs ,
     procyon-decompiler-srcs , procyon-reflection-srcs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     Note: Please justify each patch in comments
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define debug_package %{nil}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: procyon-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-0.5.33-0.1.pre02.fc29.src.rpm
procyon.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.noarch: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.noarch: W: name-repeated-in-summary C procyon
procyon.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.noarch: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.noarch: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.noarch: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.noarch: W: incoherent-version-in-changelog 0.5.30-0.31.pre02 ['0.5.33-0.1.pre02.fc29', '0.5.33-0.1.pre02']
procyon.noarch: W: no-documentation

- can the readme that is in sources be packaged too, please?

procyon-compilertools.noarch: W: name-repeated-in-summary C procyon-compilertools
procyon-compilertools.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-compilertools.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
procyon-compilertools.noarch: E: description-line-too-long C Class metadata and bytecode inspection/manipulation facilities based on Mono.Cecil and
procyon-compilertools.noarch: W: no-documentation
procyon-core.noarch: W: name-repeated-in-summary C procyon-core
procyon-core.noarch: E: description-line-too-long C filesystem/path utilities, freezable objects and collections, attached data stores,
procyon-core.noarch: W: no-documentation
procyon-expressions.noarch: E: summary-too-long C The procyon-expressions framework provides a more natural form of Linq-like code generation
procyon-expressions.noarch: W: name-repeated-in-summary C procyon-expressions
procyon-expressions.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-expressions.noarch: W: spelling-error %description -l en_US Linq -> Lin, Lina, Lind
procyon-expressions.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-expressions.noarch: W: spelling-error %description -l en_US callsite -> call site, call-site, calcite
procyon-expressions.noarch: E: description-line-too-long C The procyon-expressions framework provides a more natural form of code generation.
procyon-expressions.noarch: E: description-line-too-long C Rather than requiring bytecode to be emitted directly, as with procyon-reflection
procyon-expressions.noarch: E: description-line-too-long C and other popular libraries like ASM, procyon-expressions enables code composition
procyon-expressions.noarch: E: description-line-too-long C using declarative expression trees. These expression trees may then be compiled directly
procyon-expressions.noarch: E: description-line-too-long C almost a direct port of System.Linq.Expressions from .NET's Dynamic Language Runtime,
procyon-expressions.noarch: E: description-line-too-long C minus the dynamic callsite support (and with more relaxed rules regarding type conversions).
procyon-expressions.noarch: W: no-documentation
procyon-decompiler.noarch: W: summary-not-capitalized C procyon-decompiler is a front-end for the Java decompiler
procyon-decompiler.noarch: W: name-repeated-in-summary C procyon-decompiler
procyon-decompiler.noarch: W: spelling-error %description -l en_US compilertools -> compiler tools, compiler-tools, compiler
procyon-decompiler.noarch: E: description-line-too-long C procyon-decompiler is a front-end for the Java decompiler included in procyon-compilertools.
procyon-decompiler.noarch: E: description-line-too-long C For more information about the decompiler, see the Java Decompiler wiki page - https://bitbucket.org/mstrobel/procyon/wiki/Java%20Decompiler
procyon-decompiler.noarch: W: no-documentation
procyon-decompiler.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection.noarch: E: summary-too-long C The procyon-reflection framework provides a rich reflection and code generation API
procyon-reflection.noarch: W: name-repeated-in-summary C procyon-reflection
procyon-reflection.noarch: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
procyon-reflection.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-reflection.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-reflection.noarch: E: description-line-too-long C The procyon-reflection framework provides a rich reflection and code generation API with full support for generics, wildcards, and other high-level Java type concepts. It is based on .NET's System.Reflection and System.Reflection.Emit APIs and is meant to address many of the shortcomings of the core Java reflection API, which offers rather limited and cumbersome support for generic type inspection. Its code generation facilities include a TypeBuilder, MethodBuilder, and a bytecode emitter.
procyon-reflection.noarch: W: no-documentation
procyon-decompiler-javadoc.noarch: W: summary-not-capitalized C procyon-decompiler javadoc
procyon-decompiler-javadoc.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-compilertools-srcs.noarch: W: no-documentation
procyon-core-srcs.noarch: W: no-documentation
procyon-expressions-srcs.noarch: W: no-documentation
procyon-decompiler-srcs.noarch: W: summary-not-capitalized C procyon-decompiler sources
procyon-decompiler-srcs.noarch: W: no-documentation
procyon-decompiler-srcs.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection-srcs.noarch: W: no-documentation
procyon.src: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.src: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.src: W: name-repeated-in-summary C procyon
procyon.src: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.src: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.src: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.src: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.src: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.src: W: strange-permission procyon-decompiler 755
procyon.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 6)
procyon.src: W: invalid-url Source0: mstrobel-procyon-ee404caa9a29.zip
17 packages and 0 specfiles checked; 17 errors, 48 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
procyon-compilertools-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection.noarch: E: summary-too-long C The procyon-reflection framework provides a rich reflection and code generation API
procyon-reflection.noarch: W: name-repeated-in-summary C procyon-reflection
procyon-reflection.noarch: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
procyon-reflection.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-reflection.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-reflection.noarch: E: description-line-too-long C The procyon-reflection framework provides a rich reflection and code generation API with full support for generics, wildcards, and other high-level Java type concepts. It is based on .NET's System.Reflection and System.Reflection.Emit APIs and is meant to address many of the shortcomings of the core Java reflection API, which offers rather limited and cumbersome support for generic type inspection. Its code generation facilities include a TypeBuilder, MethodBuilder, and a bytecode emitter.
procyon-reflection.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection.noarch: W: no-documentation
procyon-core-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-core-srcs.noarch: W: no-documentation
procyon-decompiler-srcs.noarch: W: summary-not-capitalized C procyon-decompiler sources
procyon-decompiler-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler-srcs.noarch: W: no-documentation
procyon-decompiler-srcs.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-core.noarch: W: name-repeated-in-summary C procyon-core
procyon-core.noarch: E: description-line-too-long C filesystem/path utilities, freezable objects and collections, attached data stores,
procyon-core.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-core.noarch: W: no-documentation
procyon-core-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection-srcs.noarch: W: no-documentation
procyon-compilertools-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-compilertools-srcs.noarch: W: no-documentation
procyon-compilertools.noarch: W: name-repeated-in-summary C procyon-compilertools
procyon-compilertools.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-compilertools.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
procyon-compilertools.noarch: E: description-line-too-long C Class metadata and bytecode inspection/manipulation facilities based on Mono.Cecil and
procyon-compilertools.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-compilertools.noarch: W: no-documentation
procyon-expressions-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler.noarch: W: summary-not-capitalized C procyon-decompiler is a front-end for the Java decompiler
procyon-decompiler.noarch: W: name-repeated-in-summary C procyon-decompiler
procyon-decompiler.noarch: W: spelling-error %description -l en_US compilertools -> compiler tools, compiler-tools, compiler
procyon-decompiler.noarch: E: description-line-too-long C procyon-decompiler is a front-end for the Java decompiler included in procyon-compilertools.
procyon-decompiler.noarch: E: description-line-too-long C For more information about the decompiler, see the Java Decompiler wiki page - https://bitbucket.org/mstrobel/procyon/wiki/Java%20Decompiler
procyon-decompiler.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler.noarch: W: no-documentation
procyon-decompiler.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-decompiler-javadoc.noarch: W: summary-not-capitalized C procyon-decompiler javadoc
procyon-decompiler-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler-javadoc.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions-srcs.noarch: W: no-documentation
procyon.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.noarch: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.noarch: W: name-repeated-in-summary C procyon
procyon.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.noarch: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.noarch: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.noarch: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.noarch: W: incoherent-version-in-changelog 0.5.30-0.31.pre02 ['0.5.33-0.1.pre02.fc29', '0.5.33-0.1.pre02']
procyon.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon.noarch: W: no-documentation
procyon-expressions.noarch: E: summary-too-long C The procyon-expressions framework provides a more natural form of Linq-like code generation
procyon-expressions.noarch: W: name-repeated-in-summary C procyon-expressions
procyon-expressions.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-expressions.noarch: W: spelling-error %description -l en_US Linq -> Lin, Lina, Lind
procyon-expressions.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-expressions.noarch: W: spelling-error %description -l en_US callsite -> call site, call-site, calcite
procyon-expressions.noarch: E: description-line-too-long C The procyon-expressions framework provides a more natural form of code generation.
procyon-expressions.noarch: E: description-line-too-long C Rather than requiring bytecode to be emitted directly, as with procyon-reflection
procyon-expressions.noarch: E: description-line-too-long C and other popular libraries like ASM, procyon-expressions enables code composition
procyon-expressions.noarch: E: description-line-too-long C using declarative expression trees. These expression trees may then be compiled directly
procyon-expressions.noarch: E: description-line-too-long C almost a direct port of System.Linq.Expressions from .NET's Dynamic Language Runtime,
procyon-expressions.noarch: E: description-line-too-long C minus the dynamic callsite support (and with more relaxed rules regarding type conversions).
procyon-expressions.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions.noarch: W: no-documentation
16 packages and 0 specfiles checked; 15 errors, 55 warnings.



Requires
--------
procyon-compilertools-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem

procyon-reflection (rpmlib, GLIBC filtered):

procyon-core-srcs (rpmlib, GLIBC filtered):

procyon-decompiler-srcs (rpmlib, GLIBC filtered):
    /usr/bin/bash

procyon-core (rpmlib, GLIBC filtered):

procyon-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem

procyon-reflection-srcs (rpmlib, GLIBC filtered):

procyon-compilertools-srcs (rpmlib, GLIBC filtered):

procyon-compilertools (rpmlib, GLIBC filtered):

procyon-expressions-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem

procyon-decompiler (rpmlib, GLIBC filtered):
    /usr/bin/bash
    beust-jcommander
    procyon-compilertools
    procyon-core

procyon-decompiler-javadoc (rpmlib, GLIBC filtered):
    /usr/bin/bash
    javapackages-filesystem

procyon-reflection-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem

procyon-expressions-srcs (rpmlib, GLIBC filtered):

procyon (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

procyon-expressions (rpmlib, GLIBC filtered):



Provides
--------
procyon-compilertools-javadoc:
    procyon-compilertools-javadoc

procyon-reflection:
    procyon-reflection

procyon-core-srcs:
    procyon-core-srcs

procyon-decompiler-srcs:
    procyon-decompiler-srcs

procyon-core:
    procyon-core

procyon-core-javadoc:
    procyon-core-javadoc

procyon-reflection-srcs:
    procyon-reflection-srcs

procyon-compilertools-srcs:
    procyon-compilertools-srcs

procyon-compilertools:
    procyon-compilertools

procyon-expressions-javadoc:
    procyon-expressions-javadoc

procyon-decompiler:
    procyon-decompiler

procyon-decompiler-javadoc:
    procyon-decompiler-javadoc

procyon-reflection-javadoc:
    procyon-reflection-javadoc

procyon-expressions-srcs:
    procyon-expressions-srcs

procyon:
    procyon

procyon-expressions:
    procyon-expressions



Jar and class files in source
-----------------------------
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Switch.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/ArgumentTypes.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/SkipJSR.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$Inner$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$StaticInner$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Hello.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/OddsAndEnds.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$StaticInner$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$StaticInner$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/WhileLoops.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$StaticInner.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/LiteralAssignments.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$Inner.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$Inner$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/JsrWithoutRet.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$StaticInner$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Issue216GotoWVulnerability.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Circle.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Rectangle.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/SootOptimizationTest.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Drawable.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$Inner$1.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/UnboxToNumber.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java14ClassConstants$Inner.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$Inner$1Local.class
./mstrobel-procyon-ee404caa9a29/Procyon.CompilerTools/src/test/resources/Java12ClassConstants$StaticInner.class


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1661602
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Petra Alice Mikova 2019-01-16 15:08:03 UTC
Also notice that only the main package requires javapackages-tools, the others do not, but they do not require the main package either. Please, require the javapackages-tools in each package, or add require for main package.

Thanks

Comment 5 jiri vanek 2019-01-17 11:49:22 UTC
Hello! All except the typos was fixed.
a) most of the typos are bug in rpmlint
b) descriptions are from usptream


Spec URL: https://jvanek.fedorapeople.org/procyon/v3/procyon.spec
SRPM URL: https://jvanek.fedorapeople.org/procyon/v3/procyon-0.5.33-0.1.pre02.fc29.src.rpm
Description:
Procyon is a suite of Java metaprogramming tools focused on code generation and analysis. It includes the following libraries:

    Core Framework
    Reflection Framework
    Expressions Framework
    Compiler Toolset (Experimental)
    Java Decompiler

The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.

Fedora Account System Username: jvanek

Comment 6 Petra Alice Mikova 2019-01-17 12:14:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc html files found in procyon-compilertools-javadoc
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License
     (v2.1 or later)", "Apache License (v2.0)", "*No copyright* Apache
     License", "Apache License (v2.0.10)", "*No copyright* Apache License
     (v2.0)", "*No copyright* Public domain", "GPL (v2)". 45 files have
     unknown license. Detailed output of licensecheck in
     /home/pmikova/fedora_repos/fedora-
     reviews/1661602-procyon/1661602-procyon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java
	 There is missing require javapackages-tools for: expressions-srcs, decompiler-javadoc - it might cause the issue

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: procyon-decompiler (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 11 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Javadoc subpackages should not have Requires: jpackage-utils
     Note: More than one javadoc package
[x]: Bundled jar/class files should be removed before build
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
	 Note: The final requires have strange requires of 
           javapackages-filesystem & javapackages-tools
	
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in procyon-
     compilertools , procyon-core , procyon-expressions , procyon-
     decompiler , procyon-reflection , procyon-compilertools-javadoc ,
     procyon-core-javadoc , procyon-expressions-javadoc , procyon-
     decompiler-javadoc , procyon-reflection-javadoc , procyon-
     compilertools-srcs , procyon-core-srcs , procyon-expressions-srcs ,
     procyon-decompiler-srcs , procyon-reflection-srcs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define debug_package %{nil}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: procyon-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-javadoc-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-compilertools-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-core-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-expressions-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-decompiler-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-reflection-srcs-0.5.33-0.1.pre02.fc29.noarch.rpm
          procyon-0.5.33-0.1.pre02.fc29.src.rpm
procyon.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.noarch: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.noarch: W: name-repeated-in-summary C procyon
procyon.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.noarch: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.noarch: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.noarch: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon/README.md

- optional fix (for all occurences)

procyon-compilertools.noarch: W: name-repeated-in-summary C procyon-compilertools
procyon-compilertools.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-compilertools.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
procyon-compilertools.noarch: E: description-line-too-long C Class metadata and bytecode inspection/manipulation facilities based on Mono.Cecil and
procyon-compilertools.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools/README.md
procyon-core.noarch: W: name-repeated-in-summary C procyon-core
procyon-core.noarch: E: description-line-too-long C filesystem/path utilities, freezable objects and collections, attached data stores,
procyon-core.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core/README.md
procyon-expressions.noarch: E: summary-too-long C The procyon-expressions framework provides a more natural form of Linq-like code generation
procyon-expressions.noarch: W: name-repeated-in-summary C procyon-expressions
procyon-expressions.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-expressions.noarch: W: spelling-error %description -l en_US Linq -> Lin, Lina, Lind
procyon-expressions.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-expressions.noarch: W: spelling-error %description -l en_US callsite -> call site, call-site, calcite
procyon-expressions.noarch: E: description-line-too-long C The procyon-expressions framework provides a more natural form of code generation.
procyon-expressions.noarch: E: description-line-too-long C Rather than requiring bytecode to be emitted directly, as with procyon-reflection
procyon-expressions.noarch: E: description-line-too-long C and other popular libraries like ASM, procyon-expressions enables code composition
procyon-expressions.noarch: E: description-line-too-long C using declarative expression trees. These expression trees may then be compiled directly
procyon-expressions.noarch: E: description-line-too-long C almost a direct port of System.Linq.Expressions from .NET's Dynamic Language Runtime,
procyon-expressions.noarch: E: description-line-too-long C minus the dynamic callsite support (and with more relaxed rules regarding type conversions).
procyon-expressions.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions/README.md
procyon-decompiler.noarch: W: summary-not-capitalized C procyon-decompiler is a front-end for the Java decompiler
procyon-decompiler.noarch: W: name-repeated-in-summary C procyon-decompiler
procyon-decompiler.noarch: W: spelling-error %description -l en_US compilertools -> compiler tools, compiler-tools, compiler
procyon-decompiler.noarch: E: description-line-too-long C procyon-decompiler is a front-end for the Java decompiler included in procyon-compilertools.
procyon-decompiler.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler/README.md
procyon-decompiler.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection.noarch: E: summary-too-long C The procyon-reflection framework provides a rich reflection and code generation API
procyon-reflection.noarch: W: name-repeated-in-summary C procyon-reflection
procyon-reflection.noarch: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
procyon-reflection.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-reflection.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-reflection.noarch: E: description-line-too-long C The procyon-reflection framework provides a rich reflection and code generation API with full support for generics,
procyon-reflection.noarch: E: description-line-too-long C wildcards, and other high-level Java type concepts. It is based on .NET's System.Reflection and System.Reflection.
procyon-reflection.noarch: E: description-line-too-long C Emit APIs and is meant to address many of the shortcomings of the core Java reflection API, which offers rather
procyon-reflection.noarch: E: description-line-too-long C limited and cumbersome support for generic type inspection. Its code generation facilities include a TypeBuilder,
procyon-reflection.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection/README.md
procyon-compilertools-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools-javadoc/README.md
procyon-core-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core-javadoc/README.md
procyon-expressions-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions-javadoc/README.md
procyon-decompiler-javadoc.noarch: W: summary-not-capitalized C procyon-decompiler javadoc
procyon-decompiler-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler-javadoc/README.md
procyon-decompiler-javadoc.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection-javadoc/README.md
procyon-compilertools-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools-srcs/README.md
procyon-core-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core-srcs/README.md
procyon-expressions-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions-srcs/README.md
procyon-decompiler-srcs.noarch: W: summary-not-capitalized C procyon-decompiler sources
procyon-decompiler-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler-srcs/README.md
procyon-decompiler-srcs.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection-srcs/README.md
procyon.src: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.src: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.src: W: name-repeated-in-summary C procyon
procyon.src: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.src: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.src: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.src: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.src: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.src: W: strange-permission procyon-decompiler 755
procyon.src: W: invalid-url Source0: mstrobel-procyon-ee404caa9a29.zip
17 packages and 0 specfiles checked; 19 errors, 51 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
procyon-compilertools-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-compilertools-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools-javadoc/README.md
procyon-reflection.noarch: E: summary-too-long C The procyon-reflection framework provides a rich reflection and code generation API
procyon-reflection.noarch: W: name-repeated-in-summary C procyon-reflection
procyon-reflection.noarch: W: spelling-error %description -l en_US wildcards -> wild cards, wild-cards, wildcatters
procyon-reflection.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-reflection.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-reflection.noarch: E: description-line-too-long C The procyon-reflection framework provides a rich reflection and code generation API with full support for generics,
procyon-reflection.noarch: E: description-line-too-long C wildcards, and other high-level Java type concepts. It is based on .NET's System.Reflection and System.Reflection.
procyon-reflection.noarch: E: description-line-too-long C Emit APIs and is meant to address many of the shortcomings of the core Java reflection API, which offers rather
procyon-reflection.noarch: E: description-line-too-long C limited and cumbersome support for generic type inspection. Its code generation facilities include a TypeBuilder,
procyon-reflection.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection/README.md
procyon-core-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-core-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core-srcs/README.md
procyon-decompiler-srcs.noarch: W: summary-not-capitalized C procyon-decompiler sources
procyon-decompiler-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler-srcs/README.md
procyon-decompiler-srcs.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-core.noarch: W: name-repeated-in-summary C procyon-core
procyon-core.noarch: E: description-line-too-long C filesystem/path utilities, freezable objects and collections, attached data stores,
procyon-core.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-core.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core/README.md
procyon-core-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-core-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-core-javadoc/README.md
procyon-reflection-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection-srcs/README.md
procyon-compilertools-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-compilertools-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools-srcs/README.md
procyon-compilertools.noarch: W: name-repeated-in-summary C procyon-compilertools
procyon-compilertools.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-compilertools.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
procyon-compilertools.noarch: E: description-line-too-long C Class metadata and bytecode inspection/manipulation facilities based on Mono.Cecil and
procyon-compilertools.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-compilertools.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-compilertools/README.md
procyon-expressions-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions-javadoc/README.md
procyon-decompiler.noarch: W: summary-not-capitalized C procyon-decompiler is a front-end for the Java decompiler
procyon-decompiler.noarch: W: name-repeated-in-summary C procyon-decompiler
procyon-decompiler.noarch: W: spelling-error %description -l en_US compilertools -> compiler tools, compiler-tools, compiler
procyon-decompiler.noarch: E: description-line-too-long C procyon-decompiler is a front-end for the Java decompiler included in procyon-compilertools.
procyon-decompiler.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler/README.md
procyon-decompiler.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-decompiler-javadoc.noarch: W: summary-not-capitalized C procyon-decompiler javadoc
procyon-decompiler-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-decompiler-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-decompiler-javadoc/README.md
procyon-decompiler-javadoc.noarch: W: no-manual-page-for-binary procyon-decompiler
procyon-reflection-javadoc.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-reflection-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-reflection-javadoc/README.md
procyon-expressions-srcs.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions-srcs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions-srcs/README.md
procyon.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
procyon.noarch: W: summary-not-capitalized C procyon java decompiler and other tools
procyon.noarch: W: name-repeated-in-summary C procyon
procyon.noarch: W: spelling-error %description -l en_US metaprogramming -> meta programming, meta-programming, reprogramming
procyon.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
procyon.noarch: W: spelling-error %description -l en_US mstrobel -> strobe
procyon.noarch: E: description-line-too-long C Procyon is a suite of Java metaprogramming tools focused on code generation and analysis.
procyon.noarch: E: description-line-too-long C The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.
procyon.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon/README.md
procyon-expressions.noarch: E: summary-too-long C The procyon-expressions framework provides a more natural form of Linq-like code generation
procyon-expressions.noarch: W: name-repeated-in-summary C procyon-expressions
procyon-expressions.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
procyon-expressions.noarch: W: spelling-error %description -l en_US Linq -> Lin, Lina, Lind
procyon-expressions.noarch: W: spelling-error %description -l en_US NET's -> Net's, NE's, PET's
procyon-expressions.noarch: W: spelling-error %description -l en_US callsite -> call site, call-site, calcite
procyon-expressions.noarch: E: description-line-too-long C The procyon-expressions framework provides a more natural form of code generation.
procyon-expressions.noarch: E: description-line-too-long C Rather than requiring bytecode to be emitted directly, as with procyon-reflection
procyon-expressions.noarch: E: description-line-too-long C and other popular libraries like ASM, procyon-expressions enables code composition
procyon-expressions.noarch: E: description-line-too-long C using declarative expression trees. These expression trees may then be compiled directly
procyon-expressions.noarch: E: description-line-too-long C almost a direct port of System.Linq.Expressions from .NET's Dynamic Language Runtime,
procyon-expressions.noarch: E: description-line-too-long C minus the dynamic callsite support (and with more relaxed rules regarding type conversions).
procyon-expressions.noarch: W: invalid-url URL: https://bitbucket.org/mstrobel/procyon/ <urlopen error [Errno -2] Name or service not known>
procyon-expressions.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/procyon-expressions/README.md
16 packages and 0 specfiles checked; 17 errors, 59 warnings.



Requires
--------
procyon-compilertools-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem
    javapackages-tools

procyon-reflection (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-core-srcs (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-decompiler-srcs (rpmlib, GLIBC filtered):
    /usr/bin/bash
    javapackages-tools

procyon-core (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem
    javapackages-tools

procyon-reflection-srcs (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-compilertools-srcs (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-compilertools (rpmlib, GLIBC filtered):
    javapackages-tools

procyon-expressions-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem
    javapackages-tools

procyon-decompiler (rpmlib, GLIBC filtered):
    /usr/bin/bash
    beust-jcommander
    javapackages-tools
    procyon-compilertools
    procyon-core

procyon-decompiler-javadoc (rpmlib, GLIBC filtered):
    /usr/bin/bash
    javapackages-filesystem

procyon-reflection-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem
    javapackages-tools

procyon-expressions-srcs (rpmlib, GLIBC filtered):

procyon (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

procyon-expressions (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
procyon-compilertools-javadoc:
    procyon-compilertools-javadoc

procyon-reflection:
    procyon-reflection

procyon-core-srcs:
    procyon-core-srcs

procyon-decompiler-srcs:
    procyon-decompiler-srcs

procyon-core:
    procyon-core

procyon-core-javadoc:
    procyon-core-javadoc

procyon-reflection-srcs:
    procyon-reflection-srcs

procyon-compilertools-srcs:
    procyon-compilertools-srcs

procyon-compilertools:
    procyon-compilertools

procyon-expressions-javadoc:
    procyon-expressions-javadoc

procyon-decompiler:
    procyon-decompiler

procyon-decompiler-javadoc:
    procyon-decompiler-javadoc

procyon-reflection-javadoc:
    procyon-reflection-javadoc

procyon-expressions-srcs:
    procyon-expressions-srcs

procyon:
    procyon

procyon-expressions:
    procyon-expressions



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1661602
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 jiri vanek 2019-01-17 13:27:13 UTC
Thanx. There was indeed some redundant declarations of  javapackages-tools and some missing javapackages-tools.
Had also converted README.md to Unix line-endings.
I had intentionally kept procyon in summary and description, as those are get from sources.

Comment 8 jiri vanek 2019-01-17 13:30:05 UTC

Spec URL: https://jvanek.fedorapeople.org/procyon/v4/procyon.spec
SRPM URL: https://jvanek.fedorapeople.org/procyon/v4/procyon-0.5.33-0.1.pre02.fc29.src.rpm
Description:
Procyon is a suite of Java metaprogramming tools focused on code generation and analysis. It includes the following libraries:

    Core Framework
    Reflection Framework
    Expressions Framework
    Compiler Toolset (Experimental)
    Java Decompiler

The Procyon libraries are available from Maven Central under group ID org.bitbucket.mstrobel.

Fedora Account System Username: jvanek

Comment 10 Gwyn Ciesla 2019-01-17 14:43:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/procyon

Comment 11 Fedora Update System 2019-01-17 20:13:45 UTC
procyon-0.5.33-0.1.pre02.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-354b2328cc

Comment 12 Fedora Update System 2019-01-17 20:13:48 UTC
procyon-0.5.33-0.1.pre02.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6e65692739

Comment 13 Fedora Update System 2019-01-18 03:05:09 UTC
procyon-0.5.33-0.1.pre02.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-354b2328cc

Comment 14 Fedora Update System 2019-01-18 03:36:27 UTC
procyon-0.5.33-0.1.pre02.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6e65692739

Comment 15 Fedora Update System 2019-01-22 01:34:50 UTC
procyon-0.5.33-0.1.pre02.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-01-22 17:42:19 UTC
procyon-0.5.33-0.1.pre02.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.